Bug 1403772

Summary: Performance recommendations for RAID 5 setup
Product: Red Hat Gluster Storage Reporter: Sachidananda Urs <surs>
Component: DocumentationAssignee: Anjana Suparna Sriram <asriram>
Status: NEW --- QA Contact: SATHEESARAN <sasundar>
Severity: high Docs Contact:
Priority: unspecified    
Version: rhgs-3.2CC: amukherj, apaladug, guillaume.pavese, mpillai, rhs-bugs, sasundar, storage-doc, storage-qa-internal
Target Milestone: ---Flags: sasundar: needinfo? (asrivast)
lbailey: needinfo? (apaladug)
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1277939, 1411907, 1436695    

Description Sachidananda Urs 2016-12-12 11:00:48 UTC
Description of problem:

Some of the customers use RAID 5 in their hyperconverged setup.
Currently we do not have any performance recommendations on how to setup
the logical volumes on RAID 5 disks.

Raising this bug as a place holder for follow up with perf team.

Comment 4 SATHEESARAN 2017-01-10 17:45:24 UTC
Manoj,

If RAID 5 device is used for RHGS brick backend, what should be the data disk count ?

The intention of asking this question is pvcreate would require --dataalignment value, what would be the value there ?

Comment 5 Manoj Pillai 2017-01-11 09:43:51 UTC
For N+1 RAID-5, where N is the number of data disks, here's what I'd suggest:

* N=4, would be a good choice
* RAID-5 stripe-unit size of 64KB
* enable write-back caching in the RAID controller (if it has BBU).
* [stripe_unit_size=64KB, data_stripe_size = 64*4 = 256KB]
* pvcreate --dataalignment $data_stripe_size <device>
* vgcreate --physicalextentsize $data_stripe_size <vg_name> <device>
* thin pool chunk size of $data_stripe_size
* mkfs.xfs: use -d su=<>,sw=<> option, with stripe_unit_size and N, resp.

I'm assuming this will go through some testing before it goes out to customers? :).

Comment 6 Manoj Pillai 2017-01-11 10:17:42 UTC
(In reply to Manoj Pillai from comment #5)
> For N+1 RAID-5, where N is the number of data disks, here's what I'd suggest:
> 
> * N=4, would be a good choice
> * RAID-5 stripe-unit size of 64KB
> * enable write-back caching in the RAID controller (if it has BBU).
> * [stripe_unit_size=64KB, data_stripe_size = 64*4 = 256KB]

That should have been: data_stripe_size = 64*N.

Comment 9 Amar Tumballi 2018-04-02 13:26:06 UTC
There is no action in last 11 months, should we close this?